View Issue Details

IDProjectCategoryView StatusLast Update
0004396Slicer4Core: Base Codepublic2017-08-03 16:38
ReporterarankinAssigned Tojcfr 
PrioritylowSeveritytrivialReproducibilityalways
Status resolvedResolutionfixed 
Product VersionSlicer 4.6.2 
Target VersionSlicer 4.7.0Fixed in VersionSlicer 4.7.0 
Summary0004396: Reduce CMP0020 spam during configure
Description

Slicer code appears to be setup to comply with CMP0020=new, so could we set the policy to new?

Steps To Reproduce

Clone
Configure

Tagscmake, policy, qt

Activities

lassoan

lassoan

2017-07-24 21:57

developer   ~0014939

Currently testing build with the new policy set in CTK and EMSegment.

lassoan

lassoan

2017-08-03 16:38

developer   ~0015010

This has been integrated in rev26168

Issue History

Date Modified Username Field Change
2017-07-22 11:25 arankin New Issue
2017-07-22 11:25 arankin Status new => assigned
2017-07-22 11:25 arankin Assigned To => jcfr
2017-07-22 11:25 arankin Tag Attached: cmake
2017-07-22 11:25 arankin Tag Attached: policy
2017-07-22 11:25 arankin Tag Attached: qt
2017-07-24 21:57 lassoan Note Added: 0014939
2017-07-24 21:57 lassoan Target Version => Slicer 4.7.0
2017-08-03 16:38 lassoan Status assigned => resolved
2017-08-03 16:38 lassoan Resolution open => fixed
2017-08-03 16:38 lassoan Fixed in Version => Slicer 4.7.0
2017-08-03 16:38 lassoan Note Added: 0015010